Package com.sap.ai.sdk.foundationmodels.rpt.generated.model

# Class PredictResponseMetadata

java.lang.Object
com.sap.ai.sdk.foundationmodels.rpt.generated.model.PredictResponseMetadata

public class PredictResponseMetadata extends Object
Metadata about the prediction request.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `PredictResponseMetadata.Builder`
  Builder helper class.
  `static interface`
  `PredictResponseMetadata.Builder1`
  Builder helper class.
  `static interface`
  `PredictResponseMetadata.Builder2`
  Builder helper class.
  `static interface`
  `PredictResponseMetadata.Builder3`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PredictResponseMetadata()`
  Default constructor for PredictResponseMetadata.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PredictResponseMetadata.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `PredictResponseMetadata` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `PredictResponseMetadata`.
  `Integer`
  `getNumColumns()`
  Number of columns in the input data.
  `Integer`
  `getNumPredictions()`
  Number of table cells containing the specified placeholder value.
  `Integer`
  `getNumQueryRows()`
  Number of rows for which a prediction was made.
  `Integer`
  `getNumRows()`
  Number of rows in the input data.
  `int`
  `hashCode()`
  `PredictResponseMetadata`
  `numColumns(Integer numColumns)`
  Set the numColumns of this `PredictResponseMetadata` instance and return the same instance.
  `PredictResponseMetadata`
  `numPredictions(Integer numPredictions)`
  Set the numPredictions of this `PredictResponseMetadata` instance and return the same instance.
  `PredictResponseMetadata`
  `numQueryRows(Integer numQueryRows)`
  Set the numQueryRows of this `PredictResponseMetadata` instance and return the same instance.
  `PredictResponseMetadata`
  `numRows(Integer numRows)`
  Set the numRows of this `PredictResponseMetadata` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `PredictResponseMetadata` instance.
  `void`
  `setNumColumns(Integer numColumns)`
  Set the numColumns of this `PredictResponseMetadata` instance.
  `void`
  `setNumPredictions(Integer numPredictions)`
  Set the numPredictions of this `PredictResponseMetadata` instance.
  `void`
  `setNumQueryRows(Integer numQueryRows)`
  Set the numQueryRows of this `PredictResponseMetadata` instance.
  `void`
  `setNumRows(Integer numRows)`
  Set the numRows of this `PredictResponseMetadata` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `PredictResponseMetadata` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PredictResponseMetadata

    protected PredictResponseMetadata()
    Default constructor for PredictResponseMetadata.

- ## Method Details

  - ### numColumns

    @Nonnull public PredictResponseMetadata numColumns(@Nonnull Integer numColumns)
    Set the numColumns of this `PredictResponseMetadata` instance and return the same instance.
    Parameters:
      `numColumns` - Number of columns in the input data.
    Returns:
      The same instance of this `PredictResponseMetadata` class

  - ### getNumColumns

    @Nonnull public Integer getNumColumns()
    Number of columns in the input data.
    Returns:
      numColumns The numColumns of this `PredictResponseMetadata` instance.

  - ### setNumColumns

    public void setNumColumns(@Nonnull Integer numColumns)
    Set the numColumns of this `PredictResponseMetadata` instance.
    Parameters:
      `numColumns` - Number of columns in the input data.

  - ### numRows

    @Nonnull public PredictResponseMetadata numRows(@Nonnull Integer numRows)
    Set the numRows of this `PredictResponseMetadata` instance and return the same instance.
    Parameters:
      `numRows` - Number of rows in the input data.
    Returns:
      The same instance of this `PredictResponseMetadata` class

  - ### getNumRows

    @Nonnull public Integer getNumRows()
    Number of rows in the input data.
    Returns:
      numRows The numRows of this `PredictResponseMetadata` instance.

  - ### setNumRows

    public void setNumRows(@Nonnull Integer numRows)
    Set the numRows of this `PredictResponseMetadata` instance.
    Parameters:
      `numRows` - Number of rows in the input data.

  - ### numPredictions

    @Nonnull public PredictResponseMetadata numPredictions(@Nonnull Integer numPredictions)
    Set the numPredictions of this `PredictResponseMetadata` instance and return the same instance.
    Parameters:
      `numPredictions` - Number of table cells containing the specified placeholder value.
    Returns:
      The same instance of this `PredictResponseMetadata` class

  - ### getNumPredictions

    @Nonnull public Integer getNumPredictions()
    Number of table cells containing the specified placeholder value.
    Returns:
      numPredictions The numPredictions of this `PredictResponseMetadata` instance.

  - ### setNumPredictions

    public void setNumPredictions(@Nonnull Integer numPredictions)
    Set the numPredictions of this `PredictResponseMetadata` instance.
    Parameters:
      `numPredictions` - Number of table cells containing the specified placeholder value.

  - ### numQueryRows

    @Nonnull public PredictResponseMetadata numQueryRows(@Nonnull Integer numQueryRows)
    Set the numQueryRows of this `PredictResponseMetadata` instance and return the same instance.
    Parameters:
      `numQueryRows` - Number of rows for which a prediction was made.
    Returns:
      The same instance of this `PredictResponseMetadata` class

  - ### getNumQueryRows

    @Nonnull public Integer getNumQueryRows()
    Number of rows for which a prediction was made.
    Returns:
      numQueryRows The numQueryRows of this `PredictResponseMetadata` instance.

  - ### setNumQueryRows

    public void setNumQueryRows(@Nonnull Integer numQueryRows)
    Set the numQueryRows of this `PredictResponseMetadata` instance.
    Parameters:
      `numQueryRows` - Number of rows for which a prediction was made.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `PredictResponseMetadata`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `PredictResponseMetadata` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `PredictResponseMetadata` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `PredictResponseMetadata` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static PredictResponseMetadata.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `PredictResponseMetadata` instance with all required arguments.